# Indicators

**Get List of Indicators**

<mark style="color:green;">**`GET`**</mark>**` ``https://api.aitrade.com/api/indicators`**

#### Query Params

None

#### Available Indicators

Below are the indicators provided by the API along with their key features:&#x20;

The values specified are default

* **Bollinger Band**
  * `period_num`: 20
  * Standard deviations: 2 for both upper and lower bands
* **EMA (Exponential Moving Average)**
  * `period_num`: 50
  * Smoothing factor: 9
  * is\_compulsory: 0
* **Stochastic RSI**
  * `period_num`: 14
  * Lower and upper bounds: 18.5 and 81.5, respectively
  * is\_compulsory: 0
* **RSI (Relative Strength Index)**
  * `period_num`: 14
  * Lower and upper thresholds for overbought/oversold conditions: 30 and 70, respectively
  * is\_compulsory: 0
* **MACD (Moving Average Convergence Divergence)**
  * `period_num`: 12 and 26 for the two EMAs with a signal line smoothing of 9
  * is\_compulsory:
* **Volume**

  * `period_num`: 2
  * Indicates volume changes over a minimal period
  * is\_compulsory: 0

You should call this endpoint and display the results (the various indicators) in the bot's entry and exit conditions.

**Response**

{% tabs %}
{% tab title="200  successfully returned" %}

```javascript
{
    "code": 200,
    "message": "Success",
    "indicators": [
        {
            "id": 1,
            "name": "Bollinger Band",
            "description": null,
            "period_num": 20,
            "value2": 2,
            "value3": 2,
            "value4": null,
            "value5": null,
            "value6": null,
            "updated_at": null,
            "created_at": null
        },
        {
            "id": 2,
            "name": "EMA",
            "description": null,
            "period_num": 50,
            "value2": 9,
            "value3": null,
            "value4": null,
            "value5": null,
            "value6": null,
            "updated_at": null,
            "created_at": null
        },
        {
            "id": 3,
            "name": "Stochastic RSI",
            "description": null,
            "period_num": 14,
            "value2": 18.5,
            "value3": 81.5,
            "value4": 1,
            "value5": 18.5,
            "value6": 81.5,
            "updated_at": null,
            "created_at": null
        },
        {
            "id": 4,
            "name": "RSI",
            "description": null,
            "period_num": 14,
            "value2": 30,
            "value3": 70,
            "value4": 1,
            "value5": 25,
            "value6": 75,
            "updated_at": null,
            "created_at": null
        },
        {
            "id": 5,
            "name": "MACD",
            "description": null,
            "period_num": 12,
            "value2": 26,
            "value3": 9,
            "value4": null,
            "value5": null,
            "value6": null,
            "updated_at": null,
            "created_at": null
        },
        {
            "id": 6,
            "name": "Volume",
            "description": null,
            "period_num": 2,
            "value2": 0,
            "value3": 0,
            "value4": null,
            "value5": null,
            "value6": null,
            "updated_at": null,
            "created_at": null
        }
    ]
}
```

{% endtab %}

{% tab title="401 Unauthenticated" %}

```
{
  "code": 401,
  "success": false,
  "message": "Unauthenticated."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs-ga092.stockhero.ai/bot-execution/indicators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
